# GoodData.UI SDK - UI Core

[![npm version](https://img.shields.io/npm/v/@gooddata/sdk-ui)](https://www.npmjs.com/@gooddata/sdk-ui)&nbsp;
[![npm monthly downloads](https://img.shields.io/npm/dm/@gooddata/sdk-ui)](https://npmcharts.com/compare/@gooddata/sdk-ui?minimal=true)&nbsp;
![typescript](https://img.shields.io/badge/typescript-first-blue?logo=typescript)

This package is a part of the [GoodData.UI SDK](https://sdk.gooddata.com/gooddata-ui/docs/about_gooddataui.html).
To learn more, check [the source monorepo](https://github.com/gooddata/gooddata-ui-sdk).

This package provides base functionality useful for building [React visualizations](https://sdk.gooddata.com/gooddata-ui/docs/create_new_visualization.html) on top of GoodData.

The functionality includes functions for getting data from the [Analytical Backend](https://www.npmjs.com/package/@gooddata/sdk-backend-spi), components and React hooks that serve as building blocks for custom visualizations, visualization definition placeholders, support for drilling, and so on.

See the other `@gooddata/sdk-ui-*` packages (for example, [`@gooddata/sdk-ui-charts`](https://www.npmjs.com/package/@gooddata/sdk-ui-charts)) for pre-built visualizations that you can use instead of building your own.

## License

(C) 2017-2022 GoodData Corporation

This project is under MIT License. See [LICENSE](https://github.com/gooddata/gooddata-ui-sdk/blob/master/libs/sdk-ui/LICENSE).
